| Bsoft 2.0.5 Bernard's software package

Functions | Variables
rwXPLOR.cpp File Reference

Routines to read and write XPLOR reflection files. More...

`#include "rwXPLOR.h"`
`#include "linked_list.h"`
`#include "Complex.h"`
`#include "utilities.h"`
`#include <fstream>`

Go to the source code of this file.

## Functions
int | readXPLORmap (Bimage *p, int readdata)
int | readXPLORsf (Bimage *p, int readdata)
int | writeXPLORmap (Bimage *p)
int | writeXPLORsf (Bimage *p)
int | readXPLOR (Bimage *p, int readdata)
| Reading a XPLOR map or structure factor file format. A minimal implementation. More...
int | writeXPLOR (Bimage *p)
| Writing a XPLOR map or structure factor file format. A text format used in X-ray crystallography. More...

## Variables
int | verbose

## Detailed Description

Routines to read and write XPLOR reflection files.

Author
  Bernard Heymann

Date
  Created: 19981229
  Modified: 20130429

Definition in file rwXPLOR.cpp.

## Function Documentation

## ◆ readXPLOR()

int readXPLOR | ( | Bimage * | p,
|  | int | readdata
| ) |  |

Reading a XPLOR map or structure factor file format. A minimal implementation.

Parameters

  *p | the image structure.
  readdata | flag to activate reading of image data.

Returns
  int error code (<0 means failure).

Definition at line 32 of file rwXPLOR.cpp.

## ◆ readXPLORmap()

int readXPLORmap | ( | Bimage * | p,
|  | int | readdata
| ) |  |

Definition at line 51 of file rwXPLOR.cpp.

## ◆ readXPLORsf()

int readXPLORsf | ( | Bimage * | p,
|  | int | readdata
| ) |  |

Definition at line 136 of file rwXPLOR.cpp.

## ◆ writeXPLOR()

int writeXPLOR | ( | Bimage * | p | ) |

Writing a XPLOR map or structure factor file format. A text format used in X-ray crystallography.

Parameters

  *p | the image structure.

Returns
  int error code (<0 means failure).

Definition at line 221 of file rwXPLOR.cpp.

## ◆ writeXPLORmap()

int writeXPLORmap | ( | Bimage * | p | ) |

Definition at line 238 of file rwXPLOR.cpp.

## ◆ writeXPLORsf()

int writeXPLORsf | ( | Bimage * | p | ) |

Definition at line 304 of file rwXPLOR.cpp.

## Variable Documentation

## ◆ verbose

int verbose